import { GeneratorOptions, Question } from "yeoman-generator";
import { CodeAnalysisGenerator } from "../code-analysis";
import { GitGenerator } from "../git";
import { GitHubGenerator, GitHubGeneratorOptions } from "../github/index";
import { GitignoreGenerator } from "../gitignore";
import { NodeModuleGenerator, NodeModuleGeneratorOptions } from "../node-module";
import { BaseGenerator } from "../shared";
import { TestingGenerator } from "../testing";
import { TypeScriptGenerator } from "../typescript";
export interface TypeScriptPackageGeneratorOptions extends NodeModuleGeneratorOptions, GitHubGeneratorOptions {
    config?: string;
}
export declare class TypeScriptPackageGenerator extends BaseGenerator<TypeScriptPackageGeneratorOptions> {
    static getQuestions(): Question<TypeScriptPackageGeneratorOptions>[];
    constructor(args: string | string[], options: Partial<TypeScriptPackageGeneratorOptions> & GeneratorOptions);
    writing(): void;
    protected configureSubGenerators: () => ({
        Generator: typeof GitignoreGenerator;
        path: string;
    } | {
        Generator: typeof NodeModuleGenerator;
        path: string;
    } | {
        Generator: typeof TypeScriptGenerator;
        path: string;
    } | {
        Generator: typeof TestingGenerator;
        path: string;
    } | {
        Generator: typeof GitGenerator;
        path: string;
    } | {
        Generator: typeof CodeAnalysisGenerator;
        path: string;
    } | {
        Generator: typeof GitHubGenerator;
        path: string;
    })[];
}
//# sourceMappingURL=TypeScriptPackageGenerator.d.ts.map